<?xml version="1.0" encoding="UTF-8"?>
<persistence-config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="../../../../defs/config-metier/Persistence.xsd">
    <layer name="mysql" persistence-model="xemelios-sql">
        <document id="rsa" repository-import-xslt-file="rsa/rsa-import-mysql.xsl">
            <table type="list-bc" base-name="RSA_LIST_BUDG_COLL" version="1"> CREATE TABLE IF NOT
                EXISTS ${base-name} ( COLLECTIVITE VARCHAR(15) NOT NULL, BUDGET VARCHAR(24) NOT
                NULL, BUDGET_LIB VARCHAR(200), COLLECTIVITE_LIB VARCHAR(200), INITIAL_DOC_NAME
                VARCHAR(100) NOT NULL, INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET) ) TYPE MYISAM </table>
            <etat id="InfosFinancieresFoyerRSA" import-xslt-file="rsa/rsa-import-mysql.xsl" >
	<key1>
		<path>/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/@added:generated-id</path>
	</key1>
    <key2>
	    <path>/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/@added:generated-id</path>
	    <path>/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/@added:generated-id</path>
	    <path>/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/@added:generated-id</path>
        <path>/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/@added:generated-id</path>
	    <path>/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/@added:generated-id</path>
	    <path>/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/@added:generated-id</path>
	</key2>
<table type="document" base-name="RSA_DEMANDES_DOCUMENTS" version="1">
	CREATE TABLE IF NOT EXISTS ${base-name} ( 
	COLLECTIVITE VARCHAR(15) NOT NULL, 
	BUDGET VARCHAR(24) NOT NULL, 
	INITIAL_DOC_NAME VARCHAR(100) NOT NULL, 
	DOC_ID VARCHAR(100) NOT NULL, 
	DOC LONGBLOB, 
	ENCODING VARCHAR(20), 
	INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID) 
	) TYPE MYISAM
</table>
<table type="index" id="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" base-name="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" version="2" main="true" based-on="key1">
	CREATE TABLE IF NOT EXISTS ${base-name} ( 
	COLLECTIVITE VARCHAR(15) NOT NULL, 
	BUDGET VARCHAR(24) NOT NULL, 
	DOC_ID VARCHAR(100) NOT NULL, 
	NODE_ID VARCHAR(50), 
	MOISMOUCOMPTA DATE ,
	NUMCOMRAT VARCHAR(255) ,
	DTDEMRSA DATE ,
	NUMCOMPTT VARCHAR(255) ,
	RGADR VARCHAR(255) ,
	NOMCOMNAI VARCHAR(255) ,
	NOMNAI VARCHAR(255) ,
	TOPVALIEC VARCHAR(255) ,
	NIR VARCHAR(255) ,
	NOM VARCHAR(255) ,
	QUAL VARCHAR(5) ,
	PAYS VARCHAR(255) ,
	TYPEDTNAI VARCHAR(1) ,
	NOMVOIE VARCHAR(255) ,
	PRENOM VARCHAR(255) ,
	MATRICULE VARCHAR(255) ,
	NUMVOIE VARCHAR(255) ,
	NUMDEMRSA VARCHAR(255) ,
	SEXE VARCHAR(255) ,
	IDEPARTE VARCHAR(255) ,
	TYPEPARTE VARCHAR(3) ,
	LOCAADR VARCHAR(255) ,
	CODEPOS VARCHAR(255) ,
	COMPLIDEADR VARCHAR(255) ,
	TOPRESPDOS DECIMAL ,
	TYPEVOIE VARCHAR(255) ,
	FONORG VARCHAR(3) ,
	PRENOM3 VARCHAR(255) ,
	PRENOM2 VARCHAR(255) ,
	DTNAI DATE ,
	COMPLADR VARCHAR(255) ,
	DTEMM DATE ,
	LIEUDIST VARCHAR(255) ,
	NUMORG VARCHAR(255) ,
	TYPEADR VARCHAR(255) ,
	DDRATDOS DATE ,
	AUTRES_ANNULATIONS DECIMAL(18,3),
	ALLOCATIONS_COMPTA DECIMAL(18,3),
	REMISES_INDUS DECIMAL(18,3),
	INDUS_CONSTATES DECIMAL(18,3),
	INDUS_TRANSFERES DECIMAL(18,3),
	ANNULATIONS_FAIBLES DECIMAL(18,3),
	PERIODE DATE,
	INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID), 
	INDEX IX_${base-name}_DC (DOC_ID) 
	) TYPE MYISAM
	<patch from-version="1">
	    <sql failonerror="true">ALTER TABLE ${base-name} ADD PERIODE DATE</sql>
	</patch>
    
</table>
<table type="index" id="RSA_DEMANDES_DETAILALLIGNE_IX" base-name="RSA_DEMANDES_DETAILALLIGNE_IX" version="1" main="false" based-on="key2">
	CREATE TABLE IF NOT EXISTS ${base-name} ( 
	COLLECTIVITE VARCHAR(15) NOT NULL, 
	BUDGET VARCHAR(24) NOT NULL, 
	DOC_ID VARCHAR(100) NOT NULL, 
	NODE_ID VARCHAR(50),
	TYPE_LIGNE VARCHAR(50),
	MTMOUCOMPTA DECIMAL(18,3) ,
	NATPFCRE VARCHAR(3) ,
	TYPEOPECOMPTA VARCHAR(3) ,
	RGCRE DECIMAL ,
	SENSOPECOMPTA VARCHAR(255) ,
	NUMINTMOUCOMPTA VARCHAR(255) ,
	DTTRAIMOUCOMPTA DATE ,
	INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID), 
	INDEX IX_${base-name}_DC (DOC_ID) 
	) TYPE MYISAM
</table>


<!-- CRITERIA /Racine/DemandesRSA/InfosFinancieresFoyerRSA -->
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_MOISMOUCOMPTA" type="1" sql-index-id="PERIODE">
	<where-clause>fn:date-compare(${table}.${column},MOISMOUCOMPTA)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMCOMRAT" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMCOMRAT">
	<where-clause>fn:string-compare(${table}.${column},NUMCOMRAT)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTDEMRSA" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTDEMRSA">
	<where-clause>fn:date-compare(${table}.${column},DTDEMRSA)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMCOMPTT" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMCOMPTT">
	<where-clause>fn:string-compare(${table}.${column},NUMCOMPTT)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_RGADR" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_RGADR">
	<where-clause>fn:string-compare(${table}.${column},RGADR)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMCOMNAI" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMCOMNAI">
	<where-clause>fn:string-compare(${table}.${column},NOMCOMNAI)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMNAI" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMNAI">
	<where-clause>fn:string-compare(${table}.${column},NOMNAI)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TOPVALIEC" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TOPVALIEC">
	<where-clause>fn:string-compare(${table}.${column},TOPVALIEC)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NIR" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NIR">
	<where-clause>fn:string-compare(${table}.${column},NIR)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOM" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOM">
	<where-clause>fn:string-compare(${table}.${column},NOM)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_QUAL" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_QUAL">
	<where-clause>fn:string-compare(${table}.${column},QUAL)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PAYS" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PAYS">
	<where-clause>fn:string-compare(${table}.${column},PAYS)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEDTNAI" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEDTNAI">
	<where-clause>fn:string-compare(${table}.${column},TYPEDTNAI)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMVOIE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMVOIE">
	<where-clause>fn:string-compare(${table}.${column},NOMVOIE)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM">
	<where-clause>fn:string-compare(${table}.${column},PRENOM)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_MATRICULE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_MATRICULE">
	<where-clause>fn:string-compare(${table}.${column},MATRICULE)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMVOIE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMVOIE">
	<where-clause>fn:string-compare(${table}.${column},NUMVOIE)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMDEMRSA" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMDEMRSA">
	<where-clause>fn:string-compare(${table}.${column},NUMDEMRSA)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_SEXE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_SEXE">
	<where-clause>${table}.${column}=&apos;##VALEUR:SEXE##&apos;</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_IDEPARTE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_IDEPARTE">
	<where-clause>fn:string-compare(${table}.${column},IDEPARTE)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEPARTE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEPARTE">
	<where-clause>fn:string-compare(${table}.${column},TYPEPARTE)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_LOCAADR" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_LOCAADR">
	<where-clause>fn:string-compare(${table}.${column},LOCAADR)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_CODEPOS" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_CODEPOS">
	<where-clause>fn:string-compare(${table}.${column},CODEPOS)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_COMPLIDEADR" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_COMPLIDEADR">
	<where-clause>fn:string-compare(${table}.${column},COMPLIDEADR)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TOPRESPDOS" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TOPRESPDOS">
	<where-clause>${table}.${column}##OPERATEUR:TOPRESPDOS####VALEUR:TOPRESPDOS##</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEVOIE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEVOIE">
	<where-clause>fn:string-compare(${table}.${column},TYPEVOIE)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_FONORG" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_FONORG">
	<where-clause>fn:string-compare(${table}.${column},FONORG)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM3" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM3">
	<where-clause>fn:string-compare(${table}.${column},PRENOM3)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM2" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM2">
	<where-clause>fn:string-compare(${table}.${column},PRENOM2)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTNAI" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTNAI">
	<where-clause>fn:date-compare(${table}.${column},DTNAI)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_COMPLADR" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_COMPLADR">
	<where-clause>fn:string-compare(${table}.${column},COMPLADR)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTEMM" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTEMM">
	<where-clause>fn:date-compare(${table}.${column},DTEMM)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_LIEUDIST" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_LIEUDIST">
	<where-clause>fn:string-compare(${table}.${column},LIEUDIST)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMORG" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMORG">
	<where-clause>fn:string-compare(${table}.${column},NUMORG)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEADR" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEADR">
	<where-clause>fn:string-compare(${table}.${column},TYPEADR)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DDRATDOS" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DDRATDOS">
	<where-clause>fn:date-compare(${table}.${column},DDRATDOS)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_SOMME" sql-index-id="AUTRES_ANNULATIONS">
    <where-clause>${table}.${column}##OPERATEUR:somme####VALEUR:somme##</where-clause>
</criteria>
<criteria id="ALLOCATIONS_COMPTA" sql-index-id="ALLOCATIONS_COMPTA">
    <where-clause>${table}.${column}##OPERATEUR:somme####VALEUR:somme##</where-clause>
</criteria>
<criteria id="REMISES_INDUS" sql-index-id="REMISES_INDUS">
    <where-clause>${table}.${column}##OPERATEUR:somme####VALEUR:somme##</where-clause>
</criteria>                
<criteria id="INDUS_CONSTATES" sql-index-id="INDUS_CONSTATES">
    <where-clause>${table}.${column}##OPERATEUR:somme####VALEUR:somme##</where-clause>
</criteria>                
<criteria id="INDUS_TRANFERES" sql-index-id="INDUS_TRANSFERES">
    <where-clause>${table}.${column}##OPERATEUR:somme####VALEUR:somme##</where-clause>
</criteria>
<criteria id="ANNULATIONS_FAIBLES" sql-index-id="ANNULATIONS_FAIBLES">
    <where-clause>${table}.${column}##OPERATEUR:somme####VALEUR:somme##</where-clause>
</criteria>
                
                
<!-- CRITERIA /Racine/DemandesRSA/InfosFinancieresFoyerRSA/AcompteRSA/DetailAcompteRSA/AllocationsComptabilisees/DetailAllocationComptabilisee -->
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_MTMOUCOMPTA" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_MTMOUCOMPTA">
    <where-clause>${table}.${column}##OPERATEUR:MTMOUCOMPTA####VALEUR:MTMOUCOMPTA##</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_NATPFCRE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_NATPFCRE">
	<where-clause>${table}.${column}=&apos;##VALEUR:NATPFCRE##&apos;</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPEOPECOMPTA" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPEOPECOMPTA">
	<where-clause>${table}.${column}=&apos;##VALEUR:TYPEOPECOMPTA##&apos;</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_RGCRE" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_RGCRE">
	<where-clause>${table}.${column}##OPERATEUR:RGCRE####VALEUR:RGCRE##</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_SENSOPECOMPTA" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_SENSOPECOMPTA">
	<where-clause>${table}.${column}=&apos;##VALEUR:SENSOPECOMPTA##&apos;</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_NUMINTMOUCOMPTA" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_NUMINTMOUCOMPTA">
	<where-clause>fn:string-compare(${table}.${column},NUMINTMOUCOMPTA)</where-clause>
</criteria>
<criteria id="CRI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_DTTRAIMOUCOMPTA" type="1" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_DTTRAIMOUCOMPTA">
	<where-clause>fn:date-compare(${table}.${column},DTTRAIMOUCOMPTA)</where-clause>
</criteria>
<criteria id="TypeDetail" sql-index-id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPELIGNE" type="1">
    <where-clause>${table}.${column}='##VALEUR:TypeLigne##'</where-clause>
</criteria>
                <criteria id="periodeBornee" sql-index-id="PERIODE">
                    <where-clause>${table}.${column} &gt;= STR_TO_DATE('##VALEUR:periode1##','%d/%m/%Y') AND ${table}.${column} &lt;= STR_TO_DATE('##VALEUR:periode2##','%d/%m/%Y')</where-clause>
                </criteria>
                <criteria id="periode" sql-index-id="PERIODE">
                    <where-clause>fn:date-compare(${table}.${column},periode)</where-clause>
                </criteria>
                
                

<!-- SQL-INDEX /Racine/DemandesRSA/InfosFinancieresFoyerRSA -->
                <sql-index id="PERIODE" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" column="PERIODE" path="/n:Racine/n:Periode/text()" datatype="date" format="yyyy-MM-dd"/>
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA__NODE_ID" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX"/>
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_MOISMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:GeneraliteAcompteRSA/n:MOISMOUCOMPTA/text()" datatype="date" column="MOISMOUCOMPTA" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="yyyy-MM-dd" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMCOMRAT" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:NUMCOMRAT/text()" datatype="string" column="NUMCOMRAT" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTDEMRSA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:IdentificationRSA/n:DemandeRSA/n:DTDEMRSA/text()" datatype="date" column="DTDEMRSA" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="yyyy-MM-dd" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMCOMPTT" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:NUMCOMPTT/text()" datatype="string" column="NUMCOMPTT" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_RGADR" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:RGADR/text()" datatype="string" column="RGADR" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMCOMNAI" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:NOMCOMNAI/text()" datatype="string" column="NOMCOMNAI" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMNAI" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:NOMNAI/text()" datatype="string" column="NOMNAI" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TOPVALIEC" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:TOPVALIEC/text()" datatype="string" column="TOPVALIEC" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NIR" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:NIR/text()" datatype="string" column="NIR" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOM" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:NOM/text()" datatype="string" column="NOM" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_QUAL" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:QUAL/text()" datatype="string" column="QUAL" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PAYS" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:PAYS/text()" datatype="string" column="PAYS" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEDTNAI" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:TYPEDTNAI/text()" datatype="string" column="TYPEDTNAI" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NOMVOIE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:NOMVOIE/text()" datatype="string" column="NOMVOIE" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:PRENOM/text()" datatype="string" column="PRENOM" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_MATRICULE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:IdentificationRSA/n:Organisme/n:MATRICULE/text()" datatype="string" column="MATRICULE" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMVOIE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:NUMVOIE/text()" datatype="string" column="NUMVOIE" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMDEMRSA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:IdentificationRSA/n:DemandeRSA/n:NUMDEMRSA/text()" datatype="string" column="NUMDEMRSA" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_SEXE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:SEXE/text()" datatype="string" column="SEXE" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_IDEPARTE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:IdentificationRSA/n:Partenaire/n:IDEPARTE/text()" datatype="string" column="IDEPARTE" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEPARTE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:IdentificationRSA/n:Partenaire/n:TYPEPARTE/text()" datatype="string" column="TYPEPARTE" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_LOCAADR" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:LOCAADR/text()" datatype="string" column="LOCAADR" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_CODEPOS" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:CODEPOS/text()" datatype="string" column="CODEPOS" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_COMPLIDEADR" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:COMPLIDEADR/text()" datatype="string" column="COMPLIDEADR" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TOPRESPDOS" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:DossierCAF/n:TOPRESPDOS/text()" datatype="decimal" column="TOPRESPDOS" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEVOIE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:TYPEVOIE/text()" datatype="string" column="TYPEVOIE" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_FONORG" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:IdentificationRSA/n:Organisme/n:FONORG/text()" datatype="string" column="FONORG" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM3" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:PRENOM3/text()" datatype="string" column="PRENOM3" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_PRENOM2" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:PRENOM2/text()" datatype="string" column="PRENOM2" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTNAI" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:Identification/n:DTNAI/text()" datatype="date" column="DTNAI" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="yyyy-MM-dd" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_COMPLADR" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:COMPLADR/text()" datatype="string" column="COMPLADR" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DTEMM" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:DTEMM/text()" datatype="date" column="DTEMM" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="yyyy-MM-dd" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_LIEUDIST" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:LIEUDIST/text()" datatype="string" column="LIEUDIST" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="uppercase" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_NUMORG" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:IdentificationRSA/n:Organisme/n:NUMORG/text()" datatype="string" column="NUMORG" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_TYPEADR" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:DonneesAdministratives/n:Adresse/n:TYPEADR/text()" datatype="string" column="TYPEADR" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" />
<sql-index id="SQI_INFOSFINANCIERESFOYERRSA_INFOSFINANCIERESFOYERRSA_DDRATDOS" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:Personne/n:DossierCAF/n:DDRATDOS/text()" datatype="date" column="DDRATDOS" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" format="yyyy-MM-dd" />
<sql-index id="AUTRES_ANNULATIONS" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" column="AUTRES_ANNULATIONS" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/@added:somme" datatype="decimal"/>
<sql-index id="ALLOCATIONS_COMPTA" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" column="ALLOCATIONS_COMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/@added:somme" datatype="decimal"/>
<sql-index id="REMISES_INDUS" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" column="REMISES_INDUS" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/@added:somme" datatype="decimal"/>
<sql-index id="INDUS_CONSTATES" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" column="INDUS_CONSTATES"   path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/@added:somme" datatype="decimal"/>
<sql-index id="INDUS_TRANSFERES" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" column="INDUS_TRANSFERES" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/@added:somme" datatype="decimal"/>
<sql-index id="ANNULATIONS_FAIBLES" table="RSA_DEMANDES_INFOSFINANCIERESFOYERRSA_IX" column="ANNULATIONS_FAIBLES" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/@added:somme" datatype="decimal"/>
                
<!-- SQL-INDEX /n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee -->
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE__NODE_ID" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_MTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/n:MTMOUCOMPTA/text()" datatype="decimal" column="MTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_NATPFCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/n:NATPFCRE/text()" datatype="string" column="NATPFCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPEOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/n:TYPEOPECOMPTA/text()" datatype="string" column="TYPEOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_RGCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/n:RGCRE/text()" datatype="decimal" column="RGCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_SENSOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/n:SENSOPECOMPTA/text()" datatype="string" column="SENSOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_NUMINTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/n:NUMINTMOUCOMPTA/text()" datatype="string" column="NUMINTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_DTTRAIMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/n:DTTRAIMOUCOMPTA/text()" datatype="date" column="DTTRAIMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="yyyy-MM-dd" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPELIGNE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AllocationsComptabilisees/n:DetailAllocationComptabilisee/name()" datatype="string" column="TYPE_LIGNE" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                
<!-- SQL-INDEX /n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu -->
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILREMISEINDU__NODE_ID" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILREMISEINDU_MTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/n:MTMOUCOMPTA/text()" datatype="decimal" column="MTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILREMISEINDU_NATPFCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/n:NATPFCRE/text()" datatype="string" column="NATPFCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILREMISEINDU_TYPEOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/n:TYPEOPECOMPTA/text()" datatype="string" column="TYPEOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILREMISEINDU_RGCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/n:RGCRE/text()" datatype="decimal" column="RGCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILREMISEINDU_SENSOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/n:SENSOPECOMPTA/text()" datatype="string" column="SENSOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILREMISEINDU_NUMINTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/n:NUMINTMOUCOMPTA/text()" datatype="string" column="NUMINTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILREMISEINDU_DTTRAIMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/n:DTTRAIMOUCOMPTA/text()" datatype="date" column="DTTRAIMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="yyyy-MM-dd" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPELIGNE2" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:RemisesIndus/n:DetailRemiseIndu/name()" datatype="string" column="TYPE_LIGNE" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                
<!-- SQL-INDEX /n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate -->
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILINDUCONSTATE__NODE_ID" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILINDUCONSTATE_MTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/n:MTMOUCOMPTA/text()" datatype="decimal" column="MTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILINDUCONSTATE_NATPFCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/n:NATPFCRE/text()" datatype="string" column="NATPFCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILINDUCONSTATE_TYPEOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/n:TYPEOPECOMPTA/text()" datatype="string" column="TYPEOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILINDUCONSTATE_RGCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/n:RGCRE/text()" datatype="decimal" column="RGCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILINDUCONSTATE_SENSOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/n:SENSOPECOMPTA/text()" datatype="string" column="SENSOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILINDUCONSTATE_NUMINTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/n:NUMINTMOUCOMPTA/text()" datatype="string" column="NUMINTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILINDUCONSTATE_DTTRAIMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/n:DTTRAIMOUCOMPTA/text()" datatype="date" column="DTTRAIMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="yyyy-MM-dd" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPELIGNE3" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusConstates/n:DetailInduConstate/name()" datatype="string" column="TYPE_LIGNE" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                
<!-- SQL-INDEX /n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG -->
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DetailInduTransfereCG__NODE_ID" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DetailInduTransfereCG_MTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/n:MTMOUCOMPTA/text()" datatype="decimal" column="MTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DetailInduTransfereCG_NATPFCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/n:NATPFCRE/text()" datatype="string" column="NATPFCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DetailInduTransfereCG_TYPEOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/n:TYPEOPECOMPTA/text()" datatype="string" column="TYPEOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DetailInduTransfereCG_RGCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/n:RGCRE/text()" datatype="decimal" column="RGCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DetailInduTransfereCG_SENSOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/n:SENSOPECOMPTA/text()" datatype="string" column="SENSOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DetailInduTransfereCG_NUMINTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/n:NUMINTMOUCOMPTA/text()" datatype="string" column="NUMINTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DetailInduTransfereCG_DTTRAIMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/n:DTTRAIMOUCOMPTA/text()" datatype="date" column="DTTRAIMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="yyyy-MM-dd" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPELIGNE4" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:IndusTransferesCG/n:DetailInduTransfereCG/name()" datatype="string" column="TYPE_LIGNE" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                
<!-- SQL-INDEX /n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant -->
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILANNULATIONFAIBLEMONTANT__NODE_ID" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILANNULATIONFAIBLEMONTANT_MTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/n:MTMOUCOMPTA/text()" datatype="decimal" column="MTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILANNULATIONFAIBLEMONTANT_NATPFCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/n:NATPFCRE/text()" datatype="string" column="NATPFCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILANNULATIONFAIBLEMONTANT_TYPEOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/n:TYPEOPECOMPTA/text()" datatype="string" column="TYPEOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILANNULATIONFAIBLEMONTANT_RGCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/n:RGCRE/text()" datatype="decimal" column="RGCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILANNULATIONFAIBLEMONTANT_SENSOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/n:SENSOPECOMPTA/text()" datatype="string" column="SENSOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILANNULATIONFAIBLEMONTANT_NUMINTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/n:NUMINTMOUCOMPTA/text()" datatype="string" column="NUMINTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILANNULATIONFAIBLEMONTANT_DTTRAIMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/n:DTTRAIMOUCOMPTA/text()" datatype="date" column="DTTRAIMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="yyyy-MM-dd" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPELIGNE5" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AnnulationsFaibleMontant/n:DetailAnnulationFaibleMontant/name()" datatype="string" column="TYPE_LIGNE" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                
<!-- SQL-INDEX /n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation -->
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILAUTREANNULATION__NODE_ID" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILAUTREANNULATION_MTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/n:MTMOUCOMPTA/text()" datatype="decimal" column="MTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILAUTREANNULATION_NATPFCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/n:NATPFCRE/text()" datatype="string" column="NATPFCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILAUTREANNULATION_TYPEOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/n:TYPEOPECOMPTA/text()" datatype="string" column="TYPEOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILAUTREANNULATION_RGCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/n:RGCRE/text()" datatype="decimal" column="RGCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILAUTREANNULATION_SENSOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/n:SENSOPECOMPTA/text()" datatype="string" column="SENSOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILAUTREANNULATION_NUMINTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/n:NUMINTMOUCOMPTA/text()" datatype="string" column="NUMINTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILAUTREANNULATION_DTTRAIMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/n:DTTRAIMOUCOMPTA/text()" datatype="date" column="DTTRAIMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="yyyy-MM-dd" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAILALLOCATIONCOMPTABILISEE_TYPELIGNE6" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/n:AutresAnnulations/n:DetailAutreAnnulation/name()" datatype="string" column="TYPE_LIGNE" table="RSA_DEMANDES_DETAILALLIGNE_IX"/>
                
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAIL__NODE_ID" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/*/*/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAIL_MTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/*/*/n:MTMOUCOMPTA/text()" datatype="decimal" column="MTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAIL_NATPFCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/*/*/n:NATPFCRE/text()" datatype="string" column="NATPFCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAIL_TYPEOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/*/*/n:TYPEOPECOMPTA/text()" datatype="string" column="TYPEOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="uppercase" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAIL_RGCRE" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/*/*/n:RGCRE/text()" datatype="decimal" column="RGCRE" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAIL_SENSOPECOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/*/*/n:SENSOPECOMPTA/text()" datatype="string" column="SENSOPECOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAIL_NUMINTMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/*/*/n:NUMINTMOUCOMPTA/text()" datatype="string" column="NUMINTMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" />
                <sql-index id="SQI_INFOSFINANCIERESFOYERRSA_DETAIL_DTTRAIMOUCOMPTA" path="/n:Racine/n:DemandesRSA/n:InfosFinancieresFoyerRSA/n:AcompteRSA/n:DetailAcompteRSA/*/*/n:DTTRAIMOUCOMPTA/text()" datatype="date" column="DTTRAIMOUCOMPTA" table="RSA_DEMANDES_DETAILALLIGNE_IX" format="yyyy-MM-dd" />
                <element id="RSA_DEMANDES_DETAILALLOCATIONCOMPTABILISEE_IX"> 
<sql-count>COUNT(DISTINCT(CONCAT(RACINE_DEMANDESRSA_INFOSFINANCIERESFOYERRSA_IX.DOC_ID,RSA_DEMANDES_DETAILALLOCATIONCOMPTABILISEE_IX.NODE_ID)))</sql-count>
<special-cond>RSA_DEMANDES_DETAILALLOCATIONCOMPTABILISEE_IX.NODE_ID IS NOT NULL</special-cond>
</element>
<!--element id="OMPTERSA_DETAILACOMPTERSA_REMISESINDUS_DETAILREMISEINDU_IX"> 
<sql-count>COUNT(DISTINCT(CONCAT(RACINE_DEMANDESRSA_INFOSFINANCIERESFOYERRSA_IX.DOC_ID,OMPTERSA_DETAILACOMPTERSA_REMISESINDUS_DETAILREMISEINDU_IX.NODE_ID)))</sql-count>
<special-cond>OMPTERSA_DETAILACOMPTERSA_REMISESINDUS_DETAILREMISEINDU_IX.NODE_ID IS NOT NULL</special-cond>
</element>
<element id="ERSA_DETAILACOMPTERSA_INDUSCONSTATES_DETAILINDUCONSTATE_IX"> 
<sql-count>COUNT(DISTINCT(CONCAT(RACINE_DEMANDESRSA_INFOSFINANCIERESFOYERRSA_IX.DOC_ID,ERSA_DETAILACOMPTERSA_INDUSCONSTATES_DETAILINDUCONSTATE_IX.NODE_ID)))</sql-count>
<special-cond>ERSA_DETAILACOMPTERSA_INDUSCONSTATES_DETAILINDUCONSTATE_IX.NODE_ID IS NOT NULL</special-cond>
</element>
<element id="DETAILACOMPTERSA_INDUSTRANSFERESCG_DetailInduTransfereCG_IX"> 
<sql-count>COUNT(DISTINCT(CONCAT(RACINE_DEMANDESRSA_INFOSFINANCIERESFOYERRSA_IX.DOC_ID,DETAILACOMPTERSA_INDUSTRANSFERESCG_DetailInduTransfereCG_IX.NODE_ID)))</sql-count>
<special-cond>DETAILACOMPTERSA_INDUSTRANSFERESCG_DetailInduTransfereCG_IX.NODE_ID IS NOT NULL</special-cond>
</element>
<element id="RSA_DEMANDES_DETAILANNULATIONFAIBLEMONTANT_IX"> 
<sql-count>COUNT(DISTINCT(CONCAT(RACINE_DEMANDESRSA_INFOSFINANCIERESFOYERRSA_IX.DOC_ID,RSA_DEMANDES_DETAILANNULATIONFAIBLEMONTANT_IX.NODE_ID)))</sql-count>
<special-cond>RSA_DEMANDES_DETAILANNULATIONFAIBLEMONTANT_IX.NODE_ID IS NOT NULL</special-cond>
</element>
<element id="ETAILACOMPTERSA_AUTRESANNULATIONS_DETAILAUTREANNULATION_IX"> 
<sql-count>COUNT(DISTINCT(CONCAT(RACINE_DEMANDESRSA_INFOSFINANCIERESFOYERRSA_IX.DOC_ID,ETAILACOMPTERSA_AUTRESANNULATIONS_DETAILAUTREANNULATION_IX.NODE_ID)))</sql-count>
<special-cond>ETAILACOMPTERSA_AUTRESANNULATIONS_DETAILAUTREANNULATION_IX.NODE_ID IS NOT NULL</special-cond>
</element-->

</etat>
            <etat id="TotalisationAcompte" import-xslt-file="rsa/rsa-import-mysql.xsl" >
                <key1>
                    <path>/n:Racine/n:Totalisations/n:TotalisationAcompte/@added:generated-id</path>
                </key1>
                
                <key2>
                    <path>/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAllocationsComptabilisees/@added:generated-id</path>
                    <path>/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusConstates/@added:generated-id</path>
                    <path>/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusTransferesCG/@added:generated-id</path>
                    <path>/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalRemisesIndus/@added:generated-id</path>
                    <path>/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAnnulationsIndus/@added:generated-id</path>
                    <path>/n:Racine/n:Totalisations/n:TotalisationAcompte/n:MontantTotalAcompte/@added:generated-id</path>
                </key2>
                
                <table type="document" base-name="RSA_TOTALISATION_DOCUMENTS" version="1">
                    CREATE TABLE IF NOT EXISTS ${base-name} ( 
                    COLLECTIVITE VARCHAR(15) NOT NULL, 
                    BUDGET VARCHAR(24) NOT NULL, 
                    INITIAL_DOC_NAME VARCHAR(100) NOT NULL, 
                    DOC_ID VARCHAR(100) NOT NULL, 
                    DOC LONGBLOB, 
                    ENCODING VARCHAR(20), 
                    INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID) 
                    ) TYPE MYISAM
                </table>
                <table type="index" id="RSA_TOTALISATION_INDEX" base-name="RSA_TOTALISATION_INDEX" version="1" main="true" based-on="key1">
                    CREATE TABLE IF NOT EXISTS ${base-name} ( 
                    COLLECTIVITE VARCHAR(15) NOT NULL, 
                    BUDGET VARCHAR(24) NOT NULL, 
                    DOC_ID VARCHAR(100) NOT NULL, 
                    NODE_ID VARCHAR(50),
                    PERIODE DATE ,
                    INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID), 
                    INDEX IX_${base-name}_DC (DOC_ID) 
                    ) TYPE MYISAM
                </table>
                <table base-name="RSA_TOTALISATION_LIGNES_INDEX" type="index" version="1" id="RSA_TOTALISATION_LIGNES_INDEX" based-on="key2">
                    CREATE TABLE IF NOT EXISTS ${base-name} (
                    COLLECTIVITE VARCHAR(15) NOT NULL, 
                    BUDGET VARCHAR(24) NOT NULL, 
                    DOC_ID VARCHAR(100) NOT NULL, 
                    PARENT_NODE_ID VARCHAR(50),
                    NODE_ID VARCHAR(50),
                    TYPE_LIGNE VARCHAR(31) NOT NULL,
                    MTTOTSOCLRSA DECIMAL(18,3) ,
                    MTTOTLOCALRSA DECIMAL(18,3) ,
                    MTTOTSOCLMAJORSA DECIMAL(18,3) ,
                    MTTOTRSA DECIMAL(18,3) ,
                    INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID), 
                    INDEX IX_${base-name}_DC (DOC_ID) 
                    ) TYPE MYISAM
                </table>
                
                
                <!-- CRITERIA /Racine/Totalisations/TotalisationAcompte -->
                <criteria id="periode" sql-index-id="PERIODE">
                    <where-clause>fn:date-compare(${table}.${column},periode)</where-clause>
                </criteria>
                <criteria id="periodeBornee" sql-index-id="PERIODE">
                    <where-clause>${table}.${column} &gt;= STR_TO_DATE('##VALEUR:periode1##','%d/%m/%Y') AND ${table}.${column} &lt;= STR_TO_DATE('##VALEUR:periode2##','%d/%m/%Y')</where-clause>
                </criteria>
                <criteria id="typeLigne" sql-index-id="SQI_TOTALISATIONACOMPTE_LIGNE_TYPE_1">
                    <where-clause>${table}.${column}=&apos;##VALEUR:typeLigne##&apos;</where-clause>
                </criteria>
                <criteria id="CRI_TOTALISATIONACOMPTE_TOTALISATIONACOMPTE_MTTOTSOCLRSA" sql-index-id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLRSA_1">
                    <where-clause>${table}.${column}##OPERATEUR:mt####VALEUR:mt##</where-clause>
                </criteria>
                <criteria id="CRI_TOTALISATIONACOMPTE_TOTALISATIONACOMPTE_MTTOTLOCALRSA" sql-index-id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTLOCALRSA_1">
                    <where-clause>${table}.${column}##OPERATEUR:mt####VALEUR:mt##</where-clause>
                </criteria>
                <criteria id="CRI_TOTALISATIONACOMPTE_TOTALISATIONACOMPTE_MTTOTSOCLMAJORSA" sql-index-id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLMAJORSA_1">
                    <where-clause>${table}.${column}##OPERATEUR:mt####VALEUR:mt##</where-clause>
                </criteria>
                <criteria id="CRI_TOTALISATIONACOMPTE_TOTALISATIONACOMPTE_MTTOTRSA" sql-index-id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTRSA_1">
                    <where-clause>${table}.${column}##OPERATEUR:mt####VALEUR:mt##</where-clause>
                </criteria>
                
                
                <sql-index id="PERIODE" table="RSA_TOTALISATION_INDEX" column="PERIODE" path="/n:Racine/n:Periode/text()" datatype="date" format="yyyy-MM-dd"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_TOTALISATIONACOMPTE__NODE_ID" path="/n:Racine/n:Totalisations/n:TotalisationAcompte/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_TOTALISATION_INDEX"/>
                
                
                <!-- SQL-INDEX /Racine/Totalisations/TotalisationAcompte -->
                <sql-index id="SQI_TOTALISATIONACOMPTE_TOTALISATIONACOMPTE_NODE_ID_2" path="/n:Racine/n:Totalisations/n:TotalisationAcompte/@added:generated-id" column="PARENT_NODE_ID" datatype="string" table="RSA_TOTALISATION_LIGNES_INDEX" use-in-criteria="false"/>

                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_TYPE_1"              path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:MontantTotalAcompte/name()" table="RSA_TOTALISATION_LIGNES_INDEX" column="TYPE_LIGNE" datatype="string"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE__NODE_ID_1"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:MontantTotalAcompte/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_TOTALISATION_LIGNES_INDEX" use-in-criteria="false"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLRSA_1"      path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:MontantTotalAcompte/n:MTTOTSOCLRSA/text()" datatype="decimal" column="MTTOTSOCLRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTLOCALRSA_1"     path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:MontantTotalAcompte/n:MTTOTLOCALRSA/text()" datatype="decimal" column="MTTOTLOCALRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLMAJORSA_1"  path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:MontantTotalAcompte/n:MTTOTSOCLMAJORSA/text()" datatype="decimal" column="MTTOTSOCLMAJORSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTRSA_1"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:MontantTotalAcompte/n:MTTOTRSA/text()" datatype="decimal" column="MTTOTRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />

                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_TYPE_2"              path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAllocationsComptabilisees/name()" table="RSA_TOTALISATION_LIGNES_INDEX" column="TYPE_LIGNE" datatype="string"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE__NODE_ID_2"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAllocationsComptabilisees/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_TOTALISATION_LIGNES_INDEX" use-in-criteria="false"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLRSA_2"      path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAllocationsComptabilisees/n:MTTOTSOCLRSA/text()" datatype="decimal" column="MTTOTSOCLRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTLOCALRSA_2"     path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAllocationsComptabilisees/n:MTTOTLOCALRSA/text()" datatype="decimal" column="MTTOTLOCALRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLMAJORSA_2"  path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAllocationsComptabilisees/n:MTTOTSOCLMAJORSA/text()" datatype="decimal" column="MTTOTSOCLMAJORSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTRSA_2"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAllocationsComptabilisees/n:MTTOTRSA/text()" datatype="decimal" column="MTTOTRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_TYPE_3"              path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusConstates/name()" table="RSA_TOTALISATION_LIGNES_INDEX" column="TYPE_LIGNE" datatype="string"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE__NODE_ID_3"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusConstates/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_TOTALISATION_LIGNES_INDEX" use-in-criteria="false"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLRSA_3"      path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusConstates/n:MTTOTSOCLRSA/text()" datatype="decimal" column="MTTOTSOCLRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTLOCALRSA_3"     path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusConstates/n:MTTOTLOCALRSA/text()" datatype="decimal" column="MTTOTLOCALRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLMAJORSA_3"  path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusConstates/n:MTTOTSOCLMAJORSA/text()" datatype="decimal" column="MTTOTSOCLMAJORSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTRSA_3"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusConstates/n:MTTOTRSA/text()" datatype="decimal" column="MTTOTRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_TYPE_4"              path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusTransferesCG/name()" table="RSA_TOTALISATION_LIGNES_INDEX" column="TYPE_LIGNE" datatype="string"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE__NODE_ID_4"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusTransferesCG/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_TOTALISATION_LIGNES_INDEX" use-in-criteria="false"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLRSA_4"      path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusTransferesCG/n:MTTOTSOCLRSA/text()" datatype="decimal" column="MTTOTSOCLRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTLOCALRSA_4"     path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusTransferesCG/n:MTTOTLOCALRSA/text()" datatype="decimal" column="MTTOTLOCALRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLMAJORSA_4"  path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusTransferesCG/n:MTTOTSOCLMAJORSA/text()" datatype="decimal" column="MTTOTSOCLMAJORSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTRSA_4"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalIndusTransferesCG/n:MTTOTRSA/text()" datatype="decimal" column="MTTOTRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_TYPE_5"              path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalRemisesIndus/name()" table="RSA_TOTALISATION_LIGNES_INDEX" column="TYPE_LIGNE" datatype="string"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE__NODE_ID_5"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalRemisesIndus/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_TOTALISATION_LIGNES_INDEX" use-in-criteria="false"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLRSA_5"      path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalRemisesIndus/n:MTTOTSOCLRSA/text()" datatype="decimal" column="MTTOTSOCLRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTLOCALRSA_5"     path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalRemisesIndus/n:MTTOTLOCALRSA/text()" datatype="decimal" column="MTTOTLOCALRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLMAJORSA_5"  path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalRemisesIndus/n:MTTOTSOCLMAJORSA/text()" datatype="decimal" column="MTTOTSOCLMAJORSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTRSA_5"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalRemisesIndus/n:MTTOTRSA/text()" datatype="decimal" column="MTTOTRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_TYPE_6"              path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAnnulationsIndus/name()" table="RSA_TOTALISATION_LIGNES_INDEX" column="TYPE_LIGNE" datatype="string"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE__NODE_ID_6"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAnnulationsIndus/@added:generated-id" column="NODE_ID" datatype="string" table="RSA_TOTALISATION_LIGNES_INDEX" use-in-criteria="false"/>
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLRSA_6"      path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAnnulationsIndus/n:MTTOTSOCLRSA/text()" datatype="decimal" column="MTTOTSOCLRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTLOCALRSA_6"     path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAnnulationsIndus/n:MTTOTLOCALRSA/text()" datatype="decimal" column="MTTOTLOCALRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTSOCLMAJORSA_6"  path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAnnulationsIndus/n:MTTOTSOCLMAJORSA/text()" datatype="decimal" column="MTTOTSOCLMAJORSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                <sql-index id="SQI_TOTALISATIONACOMPTE_LIGNE_MTTOTRSA_6"          path="/n:Racine/n:Totalisations/n:TotalisationAcompte/n:TotalAnnulationsIndus/n:MTTOTRSA/text()" datatype="decimal" column="MTTOTRSA" table="RSA_TOTALISATION_LIGNES_INDEX" />
                
            </etat>
        </document>
    </layer>
</persistence-config>
